function loadEnemyTypes()
  enemyType = {}
  enemyType[100] = {
    create = function(x,y)
      enemy[#enemy+1] = {
        x=x, y=y, points = 10000, energy = 100, active = false, type = 100, radius = 64,
        bub = 128, blb = 500-200, dir = -1, slideOut = 128, tsb = 0, bulcou = 0, powerup = 0,
        tmpatk = {cd = 1, a = false, d = 0, s = 0}, stage = 1, dead = false, invincible = true,
        doUpdate = enemyType[100].doUpdate, draw = enemyType[100].draw, death = enemyType[100].death, name = "GREEN MAN"
      }
    end,
    doUpdate = function(id, dt)
      local e = enemy[id]
      e.slideOut = e.slideOut - 32 * dt
      if e.active == false then
        e.x = e.x - 64 * dt
        if e.x < level.length * 32 - 128 then
          e.x = level.length * 32 - 128
          e.active = true
          e.invincible = false
        end
      else
        if e.stage == 1 then
          e.y = e.y + (e.dir * 128 * dt)
          if e.y < e.bub then e.dir = 1 end
          if e.y > e.blb then e.dir = -1 end

          e.tsb = e.tsb - dt
          if e.tsb < 0 and e.active then
            spawnBullet(e.x, e.y, 5, 180, 512, "enemy")
            playSound("enemy_fire_1")
            e.tsb = .5
            e.bulcou = e.bulcou + 1
            if e.bulcou >= 5 then
              e.stage = 2
              e.bulcou = 0
              e.tmpatk.cd = 1
            end
          end
        elseif e.stage == 2 then
          if e.tmpatk.cd > 0 and e.tmpatk.a == false then
            e.tmpatk.cd = e.tmpatk.cd - dt
            if e.tmpatk.cd <= 0 then
              e.tmpatk.a = true
            end
          end
          if e.tmpatk.a then
            if e.tmpatk.s == 0 then
              local s = 512 * dt
              e.tmpatk.d = e.tmpatk.d + s
              e.x = e.x - s
              if e.tmpatk.d >= 650 then
                e.tmpatk.d = 650
                e.tmpatk.s = 1
              end
            else
              local s = 256 * dt
              e.tmpatk.d = e.tmpatk.d - s
              e.x = e.x + s
              if e.tmpatk.d < 0 then
                e.tmpatk.d = 0
                e.tmpatk.s = 0
                e.stage = 1
                e.tmpatk.a = false
              end
            end
          end
        end
      end
    end,
    hit = function(id)

    end,
    death = function(id)
      local e = enemy[id]
      bossXY = {x = e.x, y = e.y}
      setTimeout(function()
        endGame()
      end, 1)
      setTimeout(function()
        removeJunk()
      end,2.5)
      for i=0,29 do
        setTimeout(function()
          spawnExplosion(bossXY.x+_r(-64,64), bossXY.y+_r(-64,64), 1)
        end, .1*i)
      end
      unlockAchievement("mrgreen")
    end,
    deathUpdate = function(id,dt)
      e.y = e.y + dt * 64
    end,
    draw = function(id)
      local e = enemy[id]
      local c = {}
      local x, y
      c[0] = {0,0,0}
      c[1] = {0,255,0}
      c[2] = {0,255/2,0}
      c[3] = {255,255,255}
      if e.dead == false then
        x = (e.x-level.offset)*screenScale
        y = e.y*screenScale
      else
        x = (e.x-level.offset)*screenScale
        y = e.y*screenScale
      end

      gr.setColor(unpack(c[2]))
      gr.circle("fill", x, y, e.radius*screenScale, 50)
      gr.setColor(unpack(c[1]))
      gr.circle("line", x, y, e.radius*screenScale, 50)
      gr.setColor(unpack(c[3]))
      gr.circle("fill", x-32*screenScale, y-24*screenScale, 20*screenScale, 50)
      gr.setColor(unpack(c[0]))
      gr.circle("fill", x-48*screenScale, y-24*screenScale, 5*screenScale, 50)

      drawWord("BOSS:"..e.name,200,10,16,24,{255,255,255})
      gr.setColor(255,255,255,255/2)
      gr.rectangle("fill", 200.5*screenScale, 40.5*screenScale, e.energy * 2 * screenScale, 10*screenScale)

      gr.setColor(255,255,255)
      gr.rectangle("line", 200.5*screenScale, 40.5*screenScale, 200*screenScale, 11*screenScale)

      if level.winnerScreen then
        drawWord("CONGLATURATION", 100,100, 40,72, {255,255,255})
        drawWord("YOUR A WIN!", 200,200, 32,48, {255,255,255})
      end
    end
  }
end
